IM_STATS(3X)

NAME
im_stats - calculate many image statistics in a single pass

SYNOPSIS
#include <vips/vips.h> DOUBLEMASK *im_stats(in)
IMAGE *in;

DESCRIPTION
Find many image statistics in a single pass through the PELs. Returns a DOUBLEMASK of 6 columns by n+1 (where n is number of bands in image in) rows. Columns are statistics, and are, in order: minimum, maximum, sum, sum of squares, mean, standard deviation. Row 0 has statistics for all bands together, row 1 has stats for band 1, and so on. Non-complex images only!

RETURN VALUE
NULL on error.

SEE ALSO
im_avg(3X), im_deviate(3X), measure(1X).

COPYRIGHT
National Gallery, 1992